package com.trs.project.test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.trs.project.util.RSAUtils;
import org.apache.commons.text.StringEscapeUtils;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;
import java.util.Date;


public class Test2 {
    public static void main(String[] args) throws SQLException {

        System.out.println(3/2);
        System.out.println((double)3/2);
        //(int)Math.ceil((double)3/2);
        System.out.println((int)Math.ceil((double)3/2));
    }


}
